Bug 366061 - system-config-soundcard plays no sound
system-config-soundcard plays no sound
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
7
All Linux
low Severity urgent
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 14:47 EST by John Schmitt
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
generated by system-config-soundcard (58.23 KB, text/plain)
2007-11-04 14:47 EST, John Schmitt
no flags Details
generated by system-config-soundcard (424 bytes, application/octet-stream)
2007-11-09 12:20 EST, John Schmitt
no flags Details
generated by system-config-soundcard (55.42 KB, application/octet-stream)
2007-11-09 12:20 EST, John Schmitt
no flags Details

  None (edit)
Description John Schmitt 2007-11-04 14:47:53 EST
Description of problem:
system-config-soundcard acts like it plays something, but no sound is played


Version-Release number of selected component (if applicable):
[mythtv@mediapc ~]$ rpm -qa | grep -i alsa
alsa-lib-devel-1.0.14-3.fc7
alsa-lib-1.0.14-3.fc7
alsamixergui-0.9.0-0.3.rc1.fc6
alsa-plugins-oss-1.0.14-2.fc7
alsa-oss-1.0.12-4.fc7
alsa-lib-1.0.14-3.fc7
alsa-plugins-samplerate-1.0.14-2.fc7
alsa-plugins-jack-1.0.14-2.fc7
alsa-plugins-pulseaudio-1.0.14-2.fc7
python-alsaaudio-0.2-2.fc7
alsa-oss-devel-1.0.12-4.fc7
alsa-plugins-upmix-1.0.14-2.fc7
alsa-oss-libs-1.0.12-4.fc7
alsa-tools-1.0.12-4.fc7
alsa-utils-1.0.14-2.fc7
alsa-plugins-vdownmix-1.0.14-2.fc7
[mythtv@mediapc ~]$ name -a
-bash: name: command not found
[mythtv@mediapc ~]$ uname -a
Linux mediapc 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 20:47:39 EDT 2007 x86_64 
x86_64 x86_64 GNU/Linux

How reproducible: always

Additional info:
[mythtv@mediapc ~]$ speaker-test -c6 -Dplug:surround51 -t wav -l1

speaker-test 1.0.14

Playback device is plug:surround51
Stream parameters are 48000Hz, S16_LE, 6 channels
WAV file(s)
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.surround51.2:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.surround51.2:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.surround51.2:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.surround51.2:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.surround51.2:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.surround51.2:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.surround51.2:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.surround51.2:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.surround51.2:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51
Playback open error: -2,No such file or directory


[mythtv@mediapc mp3]$ speaker-test -c2 -Diec958 -twav

speaker-test 1.0.14

Playback device is iec958
Stream parameters are 48000Hz, S16_LE, 2 channels
WAV file(s)
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.iec958.2:CARD=0,AES0=4,AES1=130,AES2=0,AES3=2'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM iec958
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.iec958.2:CARD=0,AES0=4,AES1=130,AES2=0,AES3=2'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM iec958
Playback open error: -2,No such file or directory
ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find 
definition 'cards.NFORCE.pcm.iec958.2:CARD=0,AES0=4,AES1=130,AES2=0,AES3=2'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned 
error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or 
directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM iec958
Playback open error: -2,No such file or directory
Comment 1 John Schmitt 2007-11-04 14:47:53 EST
Created attachment 247651 [details]
generated by system-config-soundcard
Comment 2 John Schmitt 2007-11-04 16:17:23 EST
FWIW, I just upgraded to the newest kernel and no change in behaviour:
[mythtv@mediapc ~]$ uname -a
Linux mediapc 2.6.23.1-10.fc7 #1 SMP Fri Oct 19 14:35:28 EDT 2007 x86_64 
x86_64 x86_64 GNU/Linux
Comment 3 John Schmitt 2007-11-07 12:54:56 EST
I just upgraded and sounds still does not work.

Linux mediapc 2.6.23.1-21.fc7 #1 SMP Thu Nov 1 20:28:15 EDT 2007 x86_64 x86_64
x86_64 GNU/Linux

Why is this low priority?  I would put this at high.
Comment 4 John Schmitt 2007-11-09 12:20:14 EST
Created attachment 253051 [details]
generated by system-config-soundcard
Comment 5 John Schmitt 2007-11-09 12:20:33 EST
Created attachment 253061 [details]
generated by system-config-soundcard
Comment 6 John Schmitt 2007-11-09 13:27:47 EST
A new behaviour with Fedora 8: 
$ alsamixer
*** PULSEAUDIO: Unable to connect: Connection refused

alsamixer: function snd_ctl_open failed for default: Connection refused

So then I install pulseaudio and then run alsamixer:
┌─────[AlsaMixer v1.0.15 (Press Escape to quit)]──────┐
│ Card: PulseAudio                                    │
│ Chip: PulseAudio                                    │
│ View: [Playback] Capture  All                       │
│ Item: Master                                        │
│                        ┌──┐                         │
│                        │  │                         │
│                        │▒▒│                         │
│                        │▒▒│                         │
│                        │▒▒│                         │
│                        │▒▒│                         │
│                        │▒▒│                         │
│                        ├──┤                         │
│                        │OO│                         │
│                        └──┘                         │
│                       74<>74                        │
│                     < Master >                      │
└─────────────────────────────────────────────────────┘

Is that even close to right?
Comment 7 Trevor Cordes 2007-11-15 19:36:27 EST
To see more in alsamixer I had to run it like alsamixer -c0 (or -c1), otherwise
you just see the single useless pulseaudio thing.
Comment 8 John Schmitt 2007-11-17 13:55:53 EST
I've been running F8 for a week and this has not changed.  I uninstalled all the
pulse-audio modules.  

Below is the speaker-test command I'm trying.  When I try that, I heard "Front
Center" clearly and something very faint for LFE:

speaker-test -c6 -Dplug:surround51 -t wav -l1


speaker-test 1.0.15

Playback device is plug:surround51
Stream parameters are 48000Hz, S16_LE, 6 channels
WAV file(s)
Rate set to 48000Hz (requested 48000Hz)
Buffer size range from 3 to 5461
Period size range from 3 to 5461
Using max buffer size 5460
Periods = 4
was set period_size = 1365
was set buffer_size = 5460
 0 - Front Left
 4 - Center
 1 - Front Right
 3 - Rear Right
 2 - Rear Left
 5 - LFE
Time per period = 8.530963
Comment 9 Martin Stransky 2008-02-25 10:27:53 EST
Please check it on F8. Your system still seems to use the pulseaudio somehow.
Comment 10 Brian Powell 2008-04-25 00:49:19 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.